For AI agents: a documentation index is available at https://docs.1099policy.com/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any 1099Policy API changes, ever again

Subscribe to the 1099Policy API changelog to be up to date on recent changes.

RSS

Changelog

Last update:
Compare
1 structure change including:
1 Breaking change
1 Removal
Removed 1 Breaking
POST /api/v1/certificate_evaluations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
10 structure changes including:
1 Breaking change
1 Addition
8 Modifications
1 Removal
Modified 8
GET /api/v1/assignments
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
GET /api/v1/assignments/{assignment}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
GET /api/v1/invoices
  • Query
  • job, contractor query parameters Added
POST /api/v1/assignments
  • Response
  • 201 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
POST /api/v1/assignments/cancel
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
POST /api/v1/assignments/change_dates
  • Response
  • 200 response Modified
    • application/json content type Modified
      • alternative Modified
        • Assignment alternative Modified
POST /api/v1/assignments/extend
  • Response
  • 200 response Modified
    • application/json content type Modified
      • alternative Modified
        • Assignment alternative Modified
PUT /api/v1/assignments/{assignment}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
Removed 1 Breaking
POST /api/v1/files/certificates/evaluate
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Added 1
POST /api/v1/certificate_evaluations
10 structure changes including:
10 Breaking changes
10 Removals
Removed 10 Breaking
DELETE /api/v1/team-members
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/classification/states
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/insurance_requirements
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/insurance_requirements/{requirement}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/premium_estimates/categories
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/team-members
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/classification/analyses
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/files/bank_statements/upload
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/premium_estimates
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/team-members
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
23 structure changes including:
11 Additions
12 Modifications
Modified 12
PUT /api/v1/quotes/{quote}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
PUT /api/v1/entities/{entity}
  • Body
  • application/json content type Modified
    • custom_metadata property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • custom_metadata property Added
POST /api/v1/quotes
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
  • 201 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
POST /api/v1/files/certificates
  • Body
  • application/json content type Added
POST /api/v1/entities
  • Body
  • application/json content type Modified
    • custom_metadata property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • custom_metadata property Added
POST /api/v1/assignments/extend
  • Response
  • 200 response Modified
    • application/json content type Modified
      • alternative Modified
        • Quote alternative Modified
POST /api/v1/assignments/change_dates
  • Response
  • 200 response Modified
    • application/json content type Modified
      • alternative Modified
        • Quote alternative Modified
GET /api/v1/quotes/{quote}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
GET /api/v1/quotes
  • Response
  • 200 response Modified
    • application/json content type Modified
      • premium_amount_owed property Added
GET /api/v1/entities/{entity}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • custom_metadata property Added
GET /api/v1/entities
  • Response
  • 200 response Modified
    • application/json content type Modified
      • custom_metadata property Added
DELETE /api/v1/invoices/{invoice}
  • Response
  • 400 response Added
Added 11
POST /api/v1/team-members
POST /api/v1/premium_estimates
POST /api/v1/files/certificates/evaluate
POST /api/v1/files/bank_statements/upload
POST /api/v1/classification/analyses
GET /api/v1/team-members
GET /api/v1/premium_estimates/categories
GET /api/v1/insurance_requirements/{requirement}
GET /api/v1/insurance_requirements
GET /api/v1/classification/states
DELETE /api/v1/team-members
1 structure change including:
1 Addition
Added 1
POST /api/v1/assignments/change_dates
2 structure changes including:
2 Modifications
Modified 2 Breaking
POST /api/v1/contractors/{contractor}/login_link
  • Response
  • 200 response Modified
    • application/json content type Modified
      • expires_at property Modified
        • Type went from string(date-time) to integer(int64)
          Breaking
POST /api/v1/quotes
  • Body
  • application/json content type Modified
    • bind property Added
  • Response
  • 200 response Added
4 structure changes including:
4 Modifications
Modified 4
GET /api/v1/invoices
  • Response
  • 200 response Modified
    • application/json content type Modified
      • purchase_order_number property Added
GET /api/v1/invoices/{invoice}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • purchase_order_number property Added
POST /api/v1/invoices
  • Body
  • application/json content type Modified
    • purchase_order_number property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • purchase_order_number property Added
PUT /api/v1/invoices/{invoice}
  • Body
  • application/json content type Modified
    • purchase_order_number property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • purchase_order_number property Added
3 structure changes including:
3 Additions
Added 3
GET /api/v1/payment/sessions/{session}
POST /api/v1/payment/sessions
POST /api/v1/payment/sessions/{session}/cancel
1 structure change including:
1 Modification
Modified 1 Breaking
POST /api/v1/contractors/{contractor}/login_link
  • Response
  • 200 response Modified
    • application/json content type Modified
      • contractor property Modified
        • username property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
  • Body
  • application/json content type Added
1 structure change including:
1 Addition
Added 1
POST /api/v1/assignments/extend
56 structure changes including:
56 Modifications
Modified 56 Breaking
DELETE /api/v1/assignments/{assignment}
  • Path
  • assignment path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
DELETE /api/v1/contractors/{contractor}
  • Path
  • contractor path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
DELETE /api/v1/entities/{entity}
  • Path
  • entity path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
DELETE /api/v1/files/certificates/{certificate}
  • Path
  • certificate path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
DELETE /api/v1/invoices/{invoice}
  • Path
  • invoice path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
DELETE /api/v1/jobs/{job}
  • Path
  • job path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
DELETE /api/v1/policies/{policy}
  • Path
  • policy path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
DELETE /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path
  • webhook_endpoint path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/apply/sessions
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before, contractor query parameters Modified
    • Type is now string
  • is_general_opt_in query parameter Modified
    • Type is now boolean
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/apply/sessions/{session}
  • Path
  • session path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/assignments
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before query parameters Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/assignments/media
  • Query
  • policy_id query parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/assignments/{assignment}
  • Path
  • assignment path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/category_codes
  • Query
  • limit query parameter Modified
    • Type is now integer
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/contractors
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before, email query parameters Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/contractors/{contractor}
  • Path
  • contractor path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/contractors/{contractor}/policies
  • Path
  • contractor path parameter Modified
    • Type went from object to string
      Breaking
  • Query
  • quote query parameter Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/entities
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before query parameters Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/entities/{entity}
  • Path
  • entity path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/events
  • Query
  • limit query parameter Modified
    • Type is now integer
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/events/{event}
  • Path
  • event path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/files/certificates
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before query parameters Modified
    • Type is now string
  • expand query parameter Modified
    • Type is now array[string]
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/files/certificates/{certificate}
  • Path
  • certificate path parameter Modified
    • Type went from object to string
      Breaking
  • Query
  • expand query parameter Modified
    • Type is now array[string]
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/invoices
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before query parameters Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/invoices/{invoice}
  • Path
  • invoice path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/jobs
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before query parameters Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/jobs/{job}
  • Path
  • job path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/policies
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before, quote query parameters Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/policies/{policy}
  • Path
  • policy path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/quotes
  • Query
  • limit query parameter Modified
    • Type is now integer
  • starting_after, ending_before query parameters Modified
    • Type is now string
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/quotes/{quote}
  • Path
  • quote path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/webhook_endpoints
  • Query
  • limit query parameter Modified
    • Type is now integer
  • Response
  • 200 response Modified
    • application/json content type Added
GET /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path
  • webhook_endpoint path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
POST /api/v1/apply/sessions
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/apply/sessions/{session}/expire
  • Path
  • session path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
POST /api/v1/assignments
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/assignments/cancel
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/assignments/media
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/contractors
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/contractors/{contractor}/login_link
  • Path
  • contractor path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
POST /api/v1/entities
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/files/certificates
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • multipart/form-data content type Added
POST /api/v1/invoices
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/jobs
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/policies
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/quotes
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
POST /api/v1/webhook_endpoints
  • Response
  • 201 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/apply/sessions/{session}
  • Path
  • session path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/assignments/{assignment}
  • Path
  • assignment path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/contractors/{contractor}
  • Path
  • contractor path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/entities/{entity}
  • Path
  • entity path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/invoices/{invoice}
  • Path
  • invoice path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/jobs/{job}
  • Path
  • job path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/policies/{policy}
  • Path
  • policy path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/quotes/{quote}
  • Path
  • quote path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
PUT /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path
  • webhook_endpoint path parameter Modified
    • Type went from object to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Added
  • Body
  • application/json content type Added
56 structure changes including:
56 Modifications
Modified 56 Breaking
DELETE /api/v1/assignments/{assignment}
  • Path
  • assignment path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
DELETE /api/v1/contractors/{contractor}
  • Path
  • contractor path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
DELETE /api/v1/entities/{entity}
  • Path
  • entity path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
DELETE /api/v1/files/certificates/{certificate}
  • Path
  • certificate path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
DELETE /api/v1/invoices/{invoice}
  • Path
  • invoice path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
DELETE /api/v1/jobs/{job}
  • Path
  • job path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
DELETE /api/v1/policies/{policy}
  • Path
  • policy path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
DELETE /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path
  • webhook_endpoint path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/apply/sessions
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before, contractor query parameters Modified
    • Type is no longer string
      Breaking
  • is_general_opt_in query parameter Modified
    • Type is no longer boolean
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/apply/sessions/{session}
  • Path
  • session path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/assignments
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before query parameters Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/assignments/media
  • Query
  • policy_id query parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/assignments/{assignment}
  • Path
  • assignment path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/category_codes
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/contractors
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before, email query parameters Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/contractors/{contractor}
  • Path
  • contractor path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/contractors/{contractor}/policies
  • Path
  • contractor path parameter Modified
    • Type went from string to object
      Breaking
  • Query
  • quote query parameter Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/entities
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before query parameters Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/entities/{entity}
  • Path
  • entity path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/events
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/events/{event}
  • Path
  • event path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/files/certificates
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before query parameters Modified
    • Type is no longer string
      Breaking
  • expand query parameter Modified
    • Type is no longer array[string]
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/files/certificates/{certificate}
  • Path
  • certificate path parameter Modified
    • Type went from string to object
      Breaking
  • Query
  • expand query parameter Modified
    • Type is no longer array[string]
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/invoices
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before query parameters Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/invoices/{invoice}
  • Path
  • invoice path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/jobs
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before query parameters Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/jobs/{job}
  • Path
  • job path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/policies
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before, quote query parameters Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/policies/{policy}
  • Path
  • policy path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/quotes
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • starting_after, ending_before query parameters Modified
    • Type is no longer string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/quotes/{quote}
  • Path
  • quote path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/webhook_endpoints
  • Query
  • limit query parameter Modified
    • Type is no longer integer
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
GET /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path
  • webhook_endpoint path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
POST /api/v1/apply/sessions
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/apply/sessions/{session}/expire
  • Path
  • session path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
POST /api/v1/assignments
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/assignments/cancel
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/assignments/media
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/contractors
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/contractors/{contractor}/login_link
  • Path
  • contractor path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
POST /api/v1/entities
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/files/certificates
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • multipart/form-data content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/invoices
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/jobs
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/policies
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/quotes
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/webhook_endpoints
  • Response
  • 201 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/apply/sessions/{session}
  • Path
  • session path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/assignments/{assignment}
  • Path
  • assignment path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/contractors/{contractor}
  • Path
  • contractor path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/entities/{entity}
  • Path
  • entity path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/invoices/{invoice}
  • Path
  • invoice path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/jobs/{job}
  • Path
  • job path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/policies/{policy}
  • Path
  • policy path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/quotes/{quote}
  • Path
  • quote path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path
  • webhook_endpoint path parameter Modified
    • Type went from string to object
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
2 structure changes including:
2 Modifications
Modified 2
POST /api/v1/jobs
  • Body
  • application/json content type Modified
    • withhold_premium property Added
PUT /api/v1/jobs/{job}
  • Body
  • application/json content type Modified
    • withhold_premium property Added
2 structure changes including:
2 Modifications
Modified 2
GET /api/v1/apply/sessions
  • Query
  • contractor, is_general_opt_in query parameters Added
POST /api/v1/apply/sessions
  • Body
  • application/json content type Modified
    • contractor, general_opt_in_work_state, is_general_opt_in properties Added
2 structure changes including:
2 Modifications
Modified 2
POST /api/v1/webhook_endpoints
  • Body
  • application/json content type Modified
    • events property Added
PUT /api/v1/webhook_endpoints/{webhook_endpoint}
  • Body
  • application/json content type Modified
    • events property Added
7 structure changes including:
1 Addition
6 Modifications
Modified 6 Breaking
GET /api/v1/events
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Id property Modified
        • Permission is now readOnly
        • Type went from object to string
          Breaking
GET /api/v1/events/{event}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Id property Modified
        • Permission is now readOnly
        • Type went from object to string
          Breaking
GET /api/v1/webhook_endpoints
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Created property Modified
        • Permission is now readOnly
        • Type went from string to integer(int64)
          Breaking
GET /api/v1/webhook_endpoints/{webhook_endpoint}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Created property Modified
        • Permission is now readOnly
        • Type went from string to integer(int64)
          Breaking
POST /api/v1/webhook_endpoints
  • Response
  • 201 response Modified
    • application/json content type Modified
      • Created property Modified
        • Permission is now readOnly
        • Type went from string to integer(int64)
          Breaking
PUT /api/v1/webhook_endpoints/{webhook_endpoint}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Created property Modified
        • Permission is now readOnly
        • Type went from string to integer(int64)
          Breaking
Added 1
POST /api/v1/contractors/{contractor}/login_link
14 structure changes including:
1 Breaking change
13 Modifications
1 Removal
Modified 13 Breaking
DELETE /api/v1/assignments/{assignment}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deleted_at property Modified
        • Type went from datetime to integer
          Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • assignment path parameter Added
DELETE /api/v1/contractors/{contractor}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deleted_at property Modified
        • Type went from datetime to integer
          Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • contractor path parameter Added
DELETE /api/v1/entities/{entity}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deleted_at property Modified
        • Type went from datetime to integer
          Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • entity path parameter Added
DELETE /api/v1/files/certificates/{certificate}
  • Path went from /api/v1/files/certificates/{certificate_id} to /api/v1/files/certificates/{certificate} (same operationId)
  • Response
  • 200 response Modified
    • application/json content type Modified
      • message property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • deleted, deleted_at, id, object properties Added
  • Path
  • certificate_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • certificate path parameter Added
DELETE /api/v1/invoices/{invoice}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deleted_at property Modified
        • Type went from datetime to integer
          Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • invoice path parameter Added
DELETE /api/v1/jobs/{job}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deleted_at property Modified
        • Type went from datetime to integer
          Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • job path parameter Added
DELETE /api/v1/policies/{policy}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deleted_at property Modified
        • Type went from datetime to integer
          Breaking
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • policy path parameter Added
DELETE /api/v1/webhook_endpoints/{webhook_endpoint}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deleted_at property Modified
        • Type went from datetime to integer
          Breaking
GET /api/v1/assignments/media
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Type went from array to array[object]
      • MediaCoverage property Added
  • Query
  • policy query parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • policy_id query parameter Added
GET /api/v1/events/{event}
  • Body
  • application/json content type Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • event path parameter Added
GET /api/v1/files/certificates/{certificate}
  • Path went from /api/v1/files/certificates/{certificate_id} to /api/v1/files/certificates/{certificate} (same operationId)
  • Path
  • certificate_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • certificate path parameter Added
POST /api/v1/assignments/media
  • Response
  • 201 response Modified
    • application/json content type Modified
      • Type is now object
      • MediaCoverage property Added
PUT /api/v1/invoices/{invoice}
  • Body
  • application/json content type Modified
    • property Added
Removed 1 Breaking
POST /api/v1/files/agency_pay_invoices/upload
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
3 structure changes including:
3 Modifications
Modified 3 Breaking
DELETE /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path went from /api/v1/webhook_endpoints/{webhook_endpoint_id} to /api/v1/webhook_endpoints/{webhook_endpoint} (same operationId)
  • Path
  • webhook_endpoint_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • webhook_endpoint path parameter Added
GET /api/v1/assignments/media
  • Query
  • policy_id query parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • policy query parameter Added
GET /api/v1/webhook_endpoints/{webhook_endpoint}
  • Path went from /api/v1/webhook_endpoints/{webhook_endpoint_id} to /api/v1/webhook_endpoints/{webhook_endpoint} (same operationId)
  • Path
  • webhook_endpoint_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • webhook_endpoint path parameter Added
5 structure changes including:
5 Breaking changes
5 Removals
Removed 5 Breaking
POST /api/v1/files/external_certificates/tracker
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/files/external_certificates/tracker/bulk
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/files/external_certificates/tracker/placeholder/bulk
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/files/external_certificates/upload
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/files/external_certificates/upload/bulk
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
12 structure changes including:
8 Additions
4 Modifications
Modified 4 Breaking
GET /api/v1/files/certificates
  • Response
  • 200 response Modified
    • application/json content type Modified
      • gl_coi_pdf_url, wc_coi_pdf_url properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • contractor, Created, filename, string-2, pdf_url, review_results, status, Created properties Added
  • Query
  • expand query parameter Added
GET /api/v1/files/certificates/{certificate_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • gl_coi_pdf_url, wc_coi_pdf_url properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • contractor, Created, filename, string-2, pdf_url, review_results, status, Created properties Added
  • 404 response Added
  • Query
  • expand query parameter Added
POST /api/v1/files/certificates
  • Response
  • 201 response Modified
    • application/json content type Modified
      • gl_coi_pdf_url, wc_coi_pdf_url properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • contractor, Created, filename, string-2, pdf_url, review_results, status, Created properties Added
PUT /api/v1/entities/{entity_id}
  • Body
  • application/json content type Modified
    • required_coverage property Modified
      • Type went from array to array[string]
Added 8
GET /api/v1/assignments/media
POST /api/v1/assignments/media
POST /api/v1/files/agency_pay_invoices/upload
POST /api/v1/files/external_certificates/tracker
POST /api/v1/files/external_certificates/tracker/bulk
POST /api/v1/files/external_certificates/tracker/placeholder/bulk
POST /api/v1/files/external_certificates/upload
POST /api/v1/files/external_certificates/upload/bulk